# Class GridLiner

java.lang.Object
uk.ac.starlink.ttools.plot2.geom.GridLiner

public class GridLiner extends Object
This class is used to lines and text to draw coordinate grid grid overlays. in a Graphics context.

This is basically the `skyview.data.Gridder` class from Tom McGlynn's Skyview package. Some very minor modifications have been made to adapt it to the TTOOLS plotting requirements.

Author:
  Tom McGlynn (NASA GSFC), Mark Taylor
See Also:
  - https://skyview.gsfc.nasa.gov/

## Constructor Summary

Constructors
Constructor
Description
`GridLiner(Rectangle bounds, skyview.geometry.Rotater rotater, skyview.geometry.Projecter projecter, skyview.geometry.Scaler scaler, boolean sexagesimal, double lonCrowd, double latCrowd)`
Create a new GridLiner object.

## Method Summary

Modifier and Type
Method
Description
`void`
`dumpLines()`
Display the lines
`Rectangle`
`getBounds()`
`String[]`
`getLabels()`
Get the labels for the lines
`double[][][]`
`getLines()`
Get the line points
`void`
`grid()`
`void`
`setSexigesimal(boolean flag)`
Set whether you want sexagesimal labels

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GridLiner

public GridLiner(Rectangle bounds, skyview.geometry.Rotater rotater, skyview.geometry.Projecter projecter, skyview.geometry.Scaler scaler, boolean sexagesimal, double lonCrowd, double latCrowd)
Create a new GridLiner object.

Parameters:
  `lonCrowd` - factor controlling how closely grid lines are spaced in longitude; 1 is normal
  `latCrowd` - factor controlling how closely grid lines are spaced in latitude; 1 is normal

## Method Details

### getBounds

public Rectangle getBounds()

### grid

public void grid() throws skyview.geometry.TransformationException

Throws:
  `skyview.geometry.TransformationException`

### setSexigesimal

public void setSexigesimal(boolean flag)
Set whether you want sexagesimal labels

### dumpLines

public void dumpLines()
Display the lines

### getLabels

public String[] getLabels()
Get the labels for the lines

### getLines

public double[][][] getLines()
Get the line points